PainDrillOwoGummi = PainDrillOwoGummi or class()

function PainDrillOwoGummi:init()
    log(":owogum:")

    self:_init_video_pan()
    self._played_video = false
end

function PainDrillOwoGummi:_init_video_pan()
    self._full_workspace = managers.gui_data:create_fullscreen_workspace()
end

function PainDrillOwoGummi:_play_video()
    if not self._full_workspace then
        self:init()
    end

    if self._played_video then
        return
    end

    local res = RenderSettings.resolution
	local src_width = 1280
	local src_height = 720
	local dest_width, dest_height = nil

	if res.x / res.y < src_width / src_height then
		dest_width = res.x
		dest_height = (src_height * dest_width) / src_width
	else
		dest_height = res.y
		dest_width = (src_width * dest_height) / src_height
    end
    
    local x = (res.x - dest_width) / 2
    local y = (res.y - dest_height) / 2
    
    self.video_panel = self._full_workspace:panel():video({
		video = "movies/pain_intro",
		x = x,
		y = y,
		layer = 999999
    })
    
    self._played_video = true
end